NVIDIA actualiza sus drivers para mitigar Spectre

NVIDIA actualiza sus drivers para mitigar Spectre

Aunque los sistemas operativos se están llevando el protagonismo en lo que se refiere al parcheo de Meltdown y Spectre, la realidad es que ambas vulnerabilidades pueden ser explotadas desde distintos frentes, situación que ha forzado a los desarrolladores de navegadores a implementar parches que eviten su ejecución desde esas aplicaciones.

Además de los navegadores web, NVIDIA anunció ayer la actualización de sus drivers para mitigar Spectre en sus líneas de productos GeForce, Quadro y NVS. La compañía líder en GPU ha reconocido que su driver es potencialmente susceptible a la vulnerabilidad CVE-2017-5715, además de que esta no será la única actualización que publicará para mitigarla. En el caso de los productos Tesla y GRID, dependiendo del sistema operativo y la plataforma de virtualización, las actualizaciones de seguridad ya están disponibles o lo estarán el mes que viene.

Si la vulnerabilidad de Spectre está vinculada por la CPU, ¿por qué NVIDIA ha publicado una actualización para mitigarlo? Aunque los drivers de la GPU no tienen vinculación directa con la vulnerabilidad que intenta parchear NVIDIA, el vector de ataque que es Spectre sí puede ser ejecutado mediante otros programas, como los ya mencionados navegadores. Dicho de otra forma, el driver para la GPU puede ser utilizado como una especie de canal para llevar a cabo el ataque contra la CPU.

A esto hay que añadir que de momento no existe ninguna solución para cubrir totalmente las vulnerabilidades de Spectre, por lo que toda la industria de la computación está volcada y sumando esfuerzos para poder cortar cualquier vía de explotación desde todos los frentes, incorporando mitigaciones en sistemas operativos, drivers y aplicaciones.

Más allá de los drivers de NVIDIA, GeForce Experience también ha recibido una actualización de seguridad en la rama 3.12 beta, esperándose su llegada a la rama estable el lunes de la siguiente semana. Otros productos como SHIELD Tablet, SHIELD TV, TK1, TX1 y TX2 han recibido actualizaciones. La compañía de Santa Clara ha detectado que solo el TX2 es vulnerable Meltdown además de Spectre.

Fuente: Anandtech

Powered by WPeMatico

Entradas relacionadas

About Gustavo Genez 1772 Articles
Informático de corazón y apasionado por la tecnología. La misión de este blog es llegar a los usuarios y profesionales con información y trucos acerca de la Seguridad Informática.